%define upstream_name    ORLite-Pod
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Documentation generator for ORLite
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ORLite/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Inspector) >= 1.230.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Remove) >= 1.420.0
BuildRequires: perl(File::Spec) >= 3.270.100
BuildRequires: perl(File::pushd) >= 1.0.0
BuildRequires: perl(inc::Module::Install::DSL)
BuildRequires: perl(ORLite) >= 1.230.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Template) >= 2.200.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::Pod) >= 1.420.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.80.0
BuildRequires: perl(Test::Script) >= 1.70.0
BuildRequires: perl(Test::XT) >= 0.20.0
BuildRequires: perl(autodie) >= 2.100.0
BuildArch:  noarch

%description
*THIS MODULE IS EXPERIMENTAL AND SUBJECT TO CHANGE WITHOUT NOTICE.*

*YOU HAVE BEEN WARNED!*

The biggest downside of the ORLite manpage is that because it can generate
you an entire ORM in one line of code, you can have a large an extensive
API without anywhere for documentation for the API to exist.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-11.mga8
+ Revision: 1505742
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.110.0-10.mga7
+ Revision: 1285450
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.110.0-9.mga7
+ Revision: 1166117
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.110.0-8.mga7
+ Revision: 1160500
- add BR on perl(inc::Module::Install::DSL)

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-7.mga6
+ Revision: 1031599
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.110.0-6.mga6
+ Revision: 932192
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 741080
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 685772
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 513641
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 371077
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 0.11

* Tue Jan 25 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 38674
- mageia rebuild
- imported package perl-ORLite-Pod

